:root {
  --color-white: #fff;
  --color-gray-disabled: #ccd2d8;
  --color-gray-light: #9ca5b0;
  --color-gray: #636e7b;
  --color-black: #212932;
  --color-green: #299ba3;
  --color-green-dark: #144e52;
  --color-primary--grayish: #f8f4ed;
  --color-highlight--orange--dim: #523d14  ;
  --color-highlight--orange--light:  #ebd6ad  ;
  --color-yellow-dark: #144e52;
  --font-size-small: .75rem;
  --font-size-default: .875rem;
}

.resource-progress-bar-heading{
  color: var(--color-gray);
  font-size: var(--font-size-small);
  line-height: 1.5;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 3px;
}
.resource-progress-bar-caption{
  color: var(--color-highlight--orange--dim);
  font-size: var(--font-size-default);
  line-height: 1.5;
}
.resource-progress-bar-status-message{
  padding:0.5em;
  background-color: var(--color-primary--grayish);
  border:1px solid var(--color-highlight--orange--light);
  margin-bottom:1rem;
}

section {
  margin-bottom: 4rem;
}

.resource-progress-bar {
  display: flex;
  justify-content: space-between;
  list-style: none;
  padding: 0;
  margin: 0 0 1rem 0;
}
.resource-progress-bar li {
  flex: 2;
  position: relative;
  padding: 0 0 14px 0;
  font-size: var(--font-size-default);
  line-height: 1.5;
  color: var(--color-green);
  font-weight: 600;
  white-space: nowrap;
  overflow: visible;
  min-width: 0;
  text-align: center;
  border-bottom: 2px solid var(--color-gray-disabled);
}
.resource-progress-bar li:first-child,
.resource-progress-bar li:last-child {
  flex: 1;
}

.resource-progress-bar li:first-child > span{
  left: 0;
  position: absolute;
}

.resource-progress-bar li:last-child {
  text-align: right;
}
.resource-progress-bar li:before {
  content: "";
  display: block;
  width: 16px;/*8px*/
  height: 16px;
  background-color: var(--color-gray-disabled);
  border-radius: 50%;
  border: 2px solid var(--color-white);
  position: absolute;
  left: calc(50% - 6px);
  bottom: -10px; /*-7*/
  z-index: 3;
  transition: all .2s ease-in-out;
}
.resource-progress-bar li:first-child:before {
  left: 0;
}
.resource-progress-bar li:last-child:before {
  right: 0;
  left: auto;
}
.resource-progress-bar span {
  transition: opacity .3s ease-in-out;
}
.resource-progress-bar li:not(.is-active) span {
  opacity: 0.3;
}
.resource-progress-bar .is-complete:not(:first-child):after,
.resource-progress-bar .is-active:not(:first-child):after {
  content: "";
  display: block;
  width: 100%;
  position: absolute;
  bottom: -2px;
  left: -50%;
  z-index: 2;
  border-bottom: 2px solid var(--color-green);
}
.resource-progress-bar li:last-child span {
  width: 200%;
  display: inline-block;
  position: absolute;
  left: -100%;
}

.resource-progress-bar .is-complete:last-child:after,
.resource-progress-bar .is-active:last-child:after {
  width: 200%;
  left: -100%;
}

.resource-progress-bar .is-complete:before {
  background-color: var(--color-green);
}

.resource-progress-bar .is-active:before,
.resource-progress-bar li:hover:before,
.resource-progress-bar .is-hovered:before {
  background-color: var(--color-white);
  border-color: var(--color-green);
}
.resource-progress-bar li:hover:before,
.resource-progress-bar .is-hovered:before {
  transform: scale(1.53);
}

.resource-progress-bar .has-changes {
  opacity: 1 !important;
}
.resource-progress-bar .has-changes:before {
  content: "";
  display: block;
  width: 16px;/*8px*/
  height: 16px;
  position: absolute;
  left: calc(50% - 4px);
  bottom: -20px;
  background-image: url('data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%208%208%22%3E%3Cpath%20fill%3D%22%23ed1c24%22%20d%3D%22M4%200l4%208H0z%22%2F%3E%3C%2Fsvg%3E');
}

